
# Interface: ProductVariantDesign

## Hierarchy

* **ProductVariantDesign**

## Index

### Properties

* [designId](productvariantdesign.md#optional-designid)
* [designName](productvariantdesign.md#optional-designname)
* [productId](productvariantdesign.md#optional-productid)
* [productVariantId](productvariantdesign.md#optional-productvariantid)
* [productVariantOptions](productvariantdesign.md#optional-productvariantoptions)
* [productVariantResources](productvariantdesign.md#optional-productvariantresources)
* [productVersionId](productvariantdesign.md#optional-productversionid)
* [storefrontProductVariantId](productvariantdesign.md#optional-storefrontproductvariantid)
* [tenantId](productvariantdesign.md#optional-tenantid)

## Properties

### `Optional` designId

• **designId**? : *string | null*

Design identifier.

___

### `Optional` designName

• **designName**? : *string | null*

Design name.

___

### `Optional` productId

• **productId**? : *number*

Product identifier.

___

### `Optional` productVariantId

• **productVariantId**? : *number*

Product variant identifier.

___

### `Optional` productVariantOptions

• **productVariantOptions**? : *[ProductVariantOption](productvariantoption.md)[] | null*

A list of product variant options.

___

### `Optional` productVariantResources

• **productVariantResources**? : *[ProductVariantResource](productvariantresource.md)[] | null*

A list of product variant resources.

___

### `Optional` productVersionId

• **productVersionId**? : *number*

Product version identifier.

___

### `Optional` storefrontProductVariantId

• **storefrontProductVariantId**? : *string | null*

Product variant identifier in online store (usually SKU).

___

### `Optional` tenantId

• **tenantId**? : *number | null*

Tenant identifier.
